<template>
  <FormHeader
    icon="mdi-shield-check"
    headline="Пользователь"
    subtitle="Текущий пользователь"
  />

  <section class="pt-4">
    <FormRow>
      <span class="text-xl mr-2">Привет,</span>

      <v-chip
        size="large"
        prepend-icon="mdi-account-circle"
      >
        {{ auth.getLogin() }}
      </v-chip>
    </FormRow>

    <FormRow>
      <v-btn
        block
        rounded
        size="large"
        class="text-white font-bold bg-gradient-to-r from-teal-400 to-cyan-500"
        @click="emit('continueClick')"
      >
        Продолжить
      </v-btn>
    </FormRow>

    <FormRow>
      <v-btn
        block
        rounded
        size="small"
        variant="plain"
        :ripple="false"
        class="font-bold"
        @click="onAccountChange"
      >
        Сменить аккаунт
      </v-btn>
    </FormRow>

    <FormRow spacing="large">
      <Copyright />
    </FormRow>
  </section>
</template>

<script setup lang="ts">
import { ref, onMounted } from 'vue';

import FormRow from '@/components/layout/FormRow.vue';
import FormHeader from '@/components/layout/FormHeader.vue';
import Copyright from '@/components/content/Copyright.vue';

import { useAuth } from '@/composables';

const emit = defineEmits(['continueClick', 'accountChange']);
const auth = useAuth();

const login = ref(auth.getLogin());

const onAccountChange = () => {
  auth.removeAccount();
  emit('accountChange');
};

onMounted(() => {
  if (!login.value) onAccountChange();
});
</script>